import React from 'react';
import {
    FiveInitialize,
    Box,
    Button,
    Card,
    CardActions,
    CardContent,
    CardMedia,
    Grid,
    Typography
} from './FivePluginApi';

import { porkTenderloin } from './pork-tenderloin';
import { teriyakiShrimp } from './teriyaki-shrimp';
import { grilledVegetables } from './grilled-vegetables';

FiveInitialize();

const CustomForm = () => {
    return (
        <Box sx={{ flexGrow: 1 }}>
            <Grid container spacing={2}>
                <Grid item xs={4} >
                    <Card sx={{height: "100%",
                    display: "flex",
                    flexDirection: "column",}}>
                        <CardMedia
                            sx={{ height: 160 }}
                            image={porkTenderloin}
                            title="Pork Tenderloin"
                        />
                        <CardContent>
                            <Typography gutterBottom variant="h5" component="div">
                                Marinated Grilled Pork Tenderlion
                            </Typography>
                            <Typography variant="body2" color="text.secondary">
                                This marinated pork loin cooks up nicely on the grill. It tastes best when marinated for 24 hours.
                            </Typography>
                        </CardContent>
                        <CardActions disableSpacing sx={{ mt: "auto" }}>
                        <Button size="small" onClick={() => {
                                window.open('https://www.allrecipes.com/recipe/228266/marinated-grilled-pork-tenderloin/', '_parent').focus();
                            }}>Recipe</Button>
                        </CardActions>
                    </Card>
                </Grid>
                <Grid item xs={4} >
                    <Card sx={{height: "100%",
                    display: "flex",
                    flexDirection: "column",}}>
                        <CardMedia
                            sx={{ height: 160 }}
                            image={teriyakiShrimp}
                            title="Teriyaki Shrimp"
                        />
                        <CardContent>
                            <Typography gutterBottom variant="h5" component="div">
                                Grilled Teriyaki Shrimp and Pineapple Skewers
                            </Typography>
                            <Typography variant="body2" color="text.secondary">
                                These savory-sweet shrimp skewers are easy to make and cook in just a few minutes.
                            </Typography>
                        </CardContent>
                        <CardActions disableSpacing sx={{ mt: "auto" }}>
                        <Button size="small" onClick={() => {
                                window.open('https://www.allrecipes.com/recipe/275055/grilled-teriyaki-shrimp-and-pineapple-skewers/', '_parent').focus();
                            }}>Recipe</Button>
                        </CardActions>
                    </Card>
                </Grid>
                <Grid item xs={4} >
                    <Card sx={{height: "100%",
                    display: "flex",
                    flexDirection: "column",}}>
                        <CardMedia
                            sx={{ height: 160 }}
                            image={grilledVegetables}
                            title="Grilled Vegetables with Balsamic Vinegar"
                        />
                        <CardContent>
                            <Typography gutterBottom variant="h5" component="div">
                                Grilled Vegetables with Balsamic Vinegar
                            </Typography>
                            <Typography variant="body2" color="text.secondary">
                                A simple recipe for vegetables that let's their quality and freshness shine through!
                            </Typography>
                        </CardContent>
                        <CardActions disableSpacing sx={{ mt: "auto" }}>
                            <Button size="small" onClick={() => {
                                window.open('https://www.allrecipes.com/recipe/222702/grilled-vegetables-with-balsamic-vinegar/', '_parent').focus();
                            }}>Recipe</Button>
                        </CardActions>
                    </Card>
                </Grid>
            </Grid>
        </Box>
    );
}

export default CustomForm;
